aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorMatt Rude <[email protected]>2011-06-26 00:18:20 -0500
committerMatt Rude <[email protected]>2011-06-26 00:18:20 -0500
commit9b389a1bafb007338b4b59559741e461f3e880b2 (patch)
treeecc6aff9172198582f26eef4b833da737fd4aa3a /scripts
parent6cd2746c157e936e54c0bce748ba280fe818ef7b (diff)
downloadtime.mattrude.com-9b389a1bafb007338b4b59559741e461f3e880b2.tar.gz
time.mattrude.com-9b389a1bafb007338b4b59559741e461f3e880b2.tar.bz2
time.mattrude.com-9b389a1bafb007338b4b59559741e461f3e880b2.zip
revert script do-xntp
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/do-rrd-update2
-rwxr-xr-xscripts/do-xntp153
2 files changed, 154 insertions, 1 deletions
diff --git a/scripts/do-rrd-update b/scripts/do-rrd-update
index ddadfc3..5926fc0 100755
--- a/scripts/do-rrd-update
+++ b/scripts/do-rrd-update
@@ -34,6 +34,6 @@ rm /tmp/ntp-rrdstats.$$
# keep this in the same order as do-newntpstat creates them, please.
/usr/bin/rrdtool update $1.rrd N:${NOFFSET}:${NSJIT}:${NCJIT}:${NWANDER}:${NFREQ}:${NDISPER}:${CLIENTS}
-echo "N:${NOFFSET}:${NSJIT}:${NCJIT}:${NWANDER}:${NFREQ}:${NDISPER}:${CLIENTS}"
+#echo "N:${NOFFSET}:${NSJIT}:${NCJIT}:${NWANDER}:${NFREQ}:${NDISPER}:${CLIENTS}"
echo "INSERT INTO status (date, host, offset, freq, sjit, cjit, wander, disp) VALUES ('${DATE}', '${1}', '${NOFFSET}', '${NSJIT}', '${NCJIT}', '${NWANDER}', '${NFREQ}', '${NDISPER}');" |sqlite3 ntpstatus.sqlite
diff --git a/scripts/do-xntp b/scripts/do-xntp
index b264ae4..66a8951 100755
--- a/scripts/do-xntp
+++ b/scripts/do-xntp
@@ -1,7 +1,9 @@
#!/bin/sh
+RRD_BIN=/usr/bin
RRDPAGE=/var/www/time.mattrude.com/rrd
SCRIPTS=/var/www/time.mattrude.com/scripts
+STATUS=/var/www/time.mattrude.com/status
cd ${RRDPAGE}
if [ ! $? ]; then exit 1; fi
@@ -9,4 +11,155 @@ if [ ! $? ]; then exit 1; fi
for X in `cat list-of-systems`
do
sh ${SCRIPTS}/do-rrd-update ${X}
+ if [ ! $? ]; then exit 1; fi
+
+ ${RRD_BIN}/rrdtool graph --imgformat=PNG ${STATUS}/${X}/daily-ntp-clients-small.png \
+ --width=296 --height=111 --start=-86400 --end=-300 --lower-limit=0 -r \
+ --title="${X}" \
+ --vertical-label='Active Clients' \
+ DEF:a="${RRDPAGE}/${X}.rrd":clients:LAST \
+ AREA:a#002A97FF:"" \
+ GPRINT:a:LAST:"Now\:%8.2lf %s" \
+ GPRINT:a:AVERAGE:"Avg\:%8.2lf %s" \
+ GPRINT:a:MAX:"Max\:%8.2lf %s\n" > /dev/null
+
+ ${RRD_BIN}/rrdtool graph --imgformat PNG ${STATUS}/${X}/daily-ntp-clients.png \
+ --width=650 --height=200 --start=-86400 --end=-300 \
+ --title="${X} - Number of Active Clients" \
+ --vertical-label='Number of Clients' \
+ DEF:a="${RRDPAGE}/${X}.rrd":clients:LAST \
+ DEF:b="${RRDPAGE}/${X}.rrd":abusive:LAST \
+ AREA:a#002A97FF:"Clients:" \
+ GPRINT:a:LAST:"Current\:%8.2lf %s" \
+ GPRINT:a:AVERAGE:"Average\:%8.2lf %s" \
+ GPRINT:a:MIN:"Minimum\:%8.2lf %s" \
+ GPRINT:a:MAX:"Maximum\:%8.2lf %s\n" \
+ AREA:b#F51D30FF:"Abusive:" \
+ GPRINT:b:LAST:" Current\:%8.2lf %s" \
+ GPRINT:b:AVERAGE:"Average\:%8.2lf %s" \
+ GPRINT:b:MIN:"Minimum\:%8.2lf %s" \
+ GPRINT:b:MAX:"Maximum\:%8.2lf %s\n" > /dev/null
+
+ ${RRD_BIN}/rrdtool graph --imgformat PNG ${STATUS}/${X}/weekly-ntp-clients.png \
+ --width=650 --height=200 --start=-691200 --end=-300 \
+ --title="${X} - Number of Active Clients" \
+ --vertical-label='Number of Clients' \
+ DEF:a="${RRDPAGE}/${X}.rrd":clients:LAST \
+ DEF:b="${RRDPAGE}/${X}.rrd":abusive:LAST \
+ AREA:a#002A97FF:"Clients:" \
+ GPRINT:a:LAST:"Current\:%8.2lf %s" \
+ GPRINT:a:AVERAGE:"Average\:%8.2lf %s" \
+ GPRINT:a:MIN:"Minimum\:%8.2lf %s" \
+ GPRINT:a:MAX:"Maximum\:%8.2lf %s\n" \
+ AREA:b#F51D30FF:"Abusive:" \
+ GPRINT:b:LAST:" Current\:%8.2lf %s" \
+ GPRINT:b:AVERAGE:"Average\:%8.2lf %s" \
+ GPRINT:b:MIN:"Minimum\:%8.2lf %s" \
+ GPRINT:b:MAX:"Maximum\:%8.2lf %s\n" > /dev/null
+
+ ${RRD_BIN}/rrdtool graph --imgformat PNG ${STATUS}/${X}/monthly-ntp-clients.png \
+ --width=650 --height=200 --start=-2629744 --end=-300 \
+ --title="${X} - Number of Active Clients" \
+ --vertical-label='Number of Clients' \
+ DEF:a="${RRDPAGE}/${X}.rrd":clients:LAST \
+ DEF:b="${RRDPAGE}/${X}.rrd":abusive:LAST \
+ AREA:a#002A97FF:"Clients:" \
+ GPRINT:a:LAST:"Current\:%8.2lf %s" \
+ GPRINT:a:AVERAGE:"Average\:%8.2lf %s" \
+ GPRINT:a:MIN:"Minimum\:%8.2lf %s" \
+ GPRINT:a:MAX:"Maximum\:%8.2lf %s\n" \
+ AREA:b#F51D30FF:"Abusive:" \
+ GPRINT:b:LAST:" Current\:%8.2lf %s" \
+ GPRINT:b:AVERAGE:"Average\:%8.2lf %s" \
+ GPRINT:b:MIN:"Minimum\:%8.2lf %s" \
+ GPRINT:b:MAX:"Maximum\:%8.2lf %s\n" > /dev/null
+
+ ${RRD_BIN}/rrdtool graph --imgformat PNG ${STATUS}/${X}/yearly-ntp-clients.png \
+ --width=650 --height=200 --start=-31556926 --end=-300 \
+ --title="${X} - Number of Active Clients" \
+ --vertical-label='Number of Clients' \
+ DEF:a="${RRDPAGE}/${X}.rrd":clients:LAST \
+ DEF:b="${RRDPAGE}/${X}.rrd":abusive:LAST \
+ AREA:a#002A97FF:"Clients:" \
+ GPRINT:a:LAST:"Current\:%8.2lf %s" \
+ GPRINT:a:AVERAGE:"Average\:%8.2lf %s" \
+ GPRINT:a:MIN:"Minimum\:%8.2lf %s" \
+ GPRINT:a:MAX:"Maximum\:%8.2lf %s\n" \
+ AREA:b#F51D30FF:"Abusive:" \
+ GPRINT:b:LAST:" Current\:%8.2lf %s" \
+ GPRINT:b:AVERAGE:"Average\:%8.2lf %s" \
+ GPRINT:b:MIN:"Minimum\:%8.2lf %s" \
+ GPRINT:b:MAX:"Maximum\:%8.2lf %s\n" > /dev/null
+
+ for a in offset sjit cjit wander freq disp
+ do
+ ${RRD_BIN}/rrdtool graph --imgformat PNG ${STATUS}/${X}/daily-ntp-${a}.png \
+ --width 650 --height 200 --start -86400 --end=-300 \
+ --title "${X} - ${a} - Daily - `date`" \
+ --vertical-label "${X}" \
+ DEF:a="${RRDPAGE}/${X}.rrd":${a}:LAST \
+ AREA:a#002A97FF:"${a}:" \
+ GPRINT:a:LAST:" Current\:%8.2lf %s" \
+ GPRINT:a:AVERAGE:"Average\:%8.2lf %s" \
+ GPRINT:a:MIN:"Minimum\:%8.2lf %s" \
+ GPRINT:a:MAX:"Maximum\:%8.2lf %s\n" > /dev/null
+
+ ${RRD_BIN}/rrdtool graph --imgformat PNG ${STATUS}/${X}/weekly-ntp-${a}.png \
+ --width 650 --height 200 --start -691200 --end=-300 \
+ --title "`TZ=UTC date`" \
+ --vertical-label "${X}" \
+ DEF:${a}=${RRDPAGE}/${X}.rrd:${a}:LAST \
+ CDEF:n${a}=${a},1000,/ \
+ AREA:n${a}#002A97FF:"${a}:" \
+ GPRINT:n${a}:LAST:"Current\:%le" \
+ GPRINT:n${a}:AVERAGE:"Average\:%8.2lf %s" \
+ GPRINT:n${a}:MIN:"Minimum\:%8.2lf %s" \
+ GPRINT:n${a}:MAX:"Maximum\:%8.2lf %s\n" > /dev/null
+
+ ${RRD_BIN}/rrdtool graph --imgformat PNG ${STATUS}/${X}/monthly-ntp-${a}.png \
+ --width 650 --height 200 --start -2629744 --end=-300 \
+ --title "`TZ=UTC date`" \
+ --vertical-label "${X}" \
+ DEF:${a}=${RRDPAGE}/${X}.rrd:${a}:LAST \
+ CDEF:n${a}=${a},1000,/ \
+ AREA:n${a}#002A97FF:"${a}:" \
+ GPRINT:n${a}:LAST:"Current\:%le" \
+ GPRINT:n${a}:AVERAGE:"Average\:%8.2lf %s" \
+ GPRINT:n${a}:MIN:"Minimum\:%8.2lf %s" \
+ GPRINT:n${a}:MAX:"Maximum\:%8.2lf %s\n" > /dev/null
+
+ ${RRD_BIN}/rrdtool graph --imgformat PNG ${STATUS}/${X}/yearly-ntp-${a}.png \
+ --width 650 --height 200 --start -31556926 --end=-300 \
+ --title "`TZ=UTC date`" \
+ --vertical-label "${X}" \
+ DEF:${a}=${RRDPAGE}/${X}.rrd:${a}:LAST \
+ CDEF:n${a}=${a},1000,/ \
+ AREA:n${a}#002A97FF:"${a}:" \
+ GPRINT:n${a}:LAST:"Current\:%le" \
+ GPRINT:n${a}:AVERAGE:"Average\:%8.2lf %s" \
+ GPRINT:n${a}:MIN:"Minimum\:%8.2lf %s" \
+ GPRINT:n${a}:MAX:"Maximum\:%8.2lf %s\n" > /dev/null
+
+ done
done
+
+# ${RRD_BIN}/rrdtool graph --imgformat=PNG ${STATUS}/all-clients.png \
+# --width=296 --height=83 --start=-86400 --end=-300 --lower-limit=0 -r \
+# --title='Active Clients on All Servers' \
+# --vertical-label='Active Clients' \
+# DEF:a="/var/www/time.mattrude.com/rrd/kirby.mattrude.com.rrd":clients:AVERAGE \
+# DEF:b="/var/www/time.mattrude.com/rrd/twyla.mattrude.com.rrd":clients:AVERAGE \
+# DEF:c="/var/www/time.mattrude.com/rrd/samantha.mattrude.com.rrd":clients:AVERAGE \
+# LINE1:a#002A97FF:"Kirby:" \
+# GPRINT:a:LAST:"Now\:%6.2lf %s" \
+# GPRINT:a:AVERAGE:"Avg\:%6.2lf %s" \
+# GPRINT:a:MAX:"Max\:%6.2lf %s\n" \
+# LINE1:b#000000FF:"Twyla:" \
+# GPRINT:b:LAST:"Now\:%6.2lf %s" \
+# GPRINT:b:AVERAGE:"Avg\:%6.2lf %s" \
+# GPRINT:b:MAX:"Max\:%6.2lf %s\n" \
+# LINE1:c#990000FF:"Saman:" \
+# GPRINT:c:LAST:"Now\:%6.2lf %s" \
+# GPRINT:c:AVERAGE:"Avg\:%6.2lf %s" \
+# GPRINT:c:MAX:"Max\:%6.2lf %s\n" > /dev/null
+